PImage chicago;
MercatorMap mercatorMap;

PVector zone;

int count;

Table congestion;
String src = "https://data.cityofchicago.org/resource/t2qc-9pjd.csv";

void setup() {
  size(400, 516);
  smooth();
  ellipseMode(CENTER);
  congestion = loadTable(src);

  // Loading exported image
  chicago = loadImage("chicago.png");
  
  // Map with dimension and bounding box
  mercatorMap = new MercatorMap(400, 516, 42.04, 41.63, -87.92, -87.49); // topLatitude, bottomLatitude, leftLongitude, rightLongitude

  count = congestion.getRowCount();
}

void draw() {
  smooth();
  image(chicago, 0, 0, width, height);
  for (int row = 1; row < count; row++)
  {
    float lon = congestion.getFloat(row, 2);  //(5)
    float lat = congestion.getFloat(row, 4);  //(6)
    float speed = congestion.getFloat(row, 7);  //(6)
    zone = mercatorMap.getScreenLocation(new PVector(lat, lon ));
    stroke(0, 40);
    fill(255, 0, 0);
    ellipse(zone.x, zone.y, 10, 10);

    if (dist(mouseX, mouseY, zone.x, zone.y) < 10) {
      //textSize(32);
      text(speed, zone.x-20, zone.y-10 );
    }
  }
}

